Bug 124718 - [PATCH] mail/fetchmail: fix CVE-2008-2711 (crash when logging long headers in -v -v mode)
Summary: [PATCH] mail/fetchmail: fix CVE-2008-2711 (crash when logging long headers in...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Simon Barner
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-06-18 15:30 UTC by Matthias Andree
Modified: 2008-07-31 20:15 UTC (History)
1 user (show)

See Also:


Attachments
fetchmail-6.3.8_6.patch (1.73 KB, patch)
2008-06-18 15:30 UTC, Matthias Andree
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Matthias Andree 2008-06-18 15:30:00 UTC
Fix CVE-2008-2711 (crash when logging long headers in -v -v mode).

Note that I am not providing a vulndb entry at this time for lack of time.

Added file(s):
- files/patch-CVE-2008-2711

Port maintainer (barner@FreeBSD.org) is cc'd.

Generated with FreeBSD Port Tools 0.77
Comment 1 Edwin Groothuis freebsd_committer 2008-06-18 15:30:09 UTC
Responsible Changed
From-To: freebsd-ports-bugs->barner

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2008-06-20 08:46:54 UTC
barner      2008-06-20 07:46:50 UTC

  FreeBSD ports repository

  Modified files:
    mail/fetchmail       Makefile 
  Added files:
    mail/fetchmail/files patch-CVE-2008-2711 
  Log:
  - Security fix: potential crash in -v -v verbose mode.
  - Bump port revision
  
  PR:             ports/124718
  Submitted by:   Matthias Andree <matthias.andree@gmx.de>
  Security:       http://www.vuxml.org/freebsd/168190df-3e9a-11dd-87bc-000ea69a5213.html
  Security:       CVE-2008-2711
  
  Revision  Changes    Path
  1.194     +1 -1      ports/mail/fetchmail/Makefile
  1.1       +31 -0     ports/mail/fetchmail/files/patch-CVE-2008-2711 (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Simon Barner freebsd_committer 2008-07-31 20:15:35 UTC
State Changed
From-To: open->closed

Committed some time ago (Jun 20 2008).